TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.ats.rejectApplication({
application_id: "GRKdd9dibYKKCrmGRSMJf3wu",
body: {
rejection_reason_id: "3PJ8PZhZZa1eEdd2DtPNtVup",
note: "Candidate was a great culture fit but didn't bring the hard skills we need.",
},
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.ats.reject_application(application_id: 'GRKdd9dibYKKCrmGRSMJf3wu', body: Models::Shared::PostAtsApplicationsApplicationIdRejectRequestBody.new(
rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',
note: 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
))
unless res.post_ats_applications_application_id_reject_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.ats.reject_application(application_id="GRKdd9dibYKKCrmGRSMJf3wu", rejection_reason_id="3PJ8PZhZZa1eEdd2DtPNtVup", note="Candidate was a great culture fit but didn't bring the hard skills we need.")
# Handle response
print(res)curl --request POST \
--url https://api.kombo.dev/v1/ats/applications/{application_id}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data @- <<EOF
{
"rejection_reason_id": "3PJ8PZhZZa1eEdd2DtPNtVup",
"note": "Candidate was a great culture fit but didn't bring the hard skills we need."
}
EOFconst options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',
note: 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
})
};
fetch('https://api.kombo.dev/v1/ats/applications/{application_id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/ats/applications/{application_id}/reject",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rejection_reason_id' => '3PJ8PZhZZa1eEdd2DtPNtVup',
'note' => 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/ats/applications/{application_id}/reject"
payload := strings.NewReader("{\n \"rejection_reason_id\": \"3PJ8PZhZZa1eEdd2DtPNtVup\",\n \"note\": \"Candidate was a great culture fit but didn't bring the hard skills we need.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/ats/applications/{application_id}/reject")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rejection_reason_id\": \"3PJ8PZhZZa1eEdd2DtPNtVup\",\n \"note\": \"Candidate was a great culture fit but didn't bring the hard skills we need.\"\n}")
.asString();{
"status": "success",
"data": {},
"warnings": [
{
"message": "This is an example warning!"
}
]
}Applications
Reject application
Rejects an application with a provided reason.
POST
/
ats
/
applications
/
{application_id}
/
reject
TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.ats.rejectApplication({
application_id: "GRKdd9dibYKKCrmGRSMJf3wu",
body: {
rejection_reason_id: "3PJ8PZhZZa1eEdd2DtPNtVup",
note: "Candidate was a great culture fit but didn't bring the hard skills we need.",
},
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.ats.reject_application(application_id: 'GRKdd9dibYKKCrmGRSMJf3wu', body: Models::Shared::PostAtsApplicationsApplicationIdRejectRequestBody.new(
rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',
note: 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
))
unless res.post_ats_applications_application_id_reject_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.ats.reject_application(application_id="GRKdd9dibYKKCrmGRSMJf3wu", rejection_reason_id="3PJ8PZhZZa1eEdd2DtPNtVup", note="Candidate was a great culture fit but didn't bring the hard skills we need.")
# Handle response
print(res)Supported integrations
Supported integrations
This feature is currently available for the following integrations:
Workday
SAP SuccessFactors
SmartRecruiters
Oracle Recruiting Cloud
Lever
Tellent Recruitee
RecruiterFlow
Greenhouse (V1)
Greenhouse (V3)
Teamtailor
Ashby
UKG Pro
UKG Ready
BambooHR
Bullhorn
Workable
Jobvite
Abacus Umantis
Haufe Umantis
Zoho Recruit
Eploy
Odoo
Mercury
Manatal
Avionté
TrackerRMS
This endpoint requires the permission Reject applications to be enabled in your scope config.
Example Request Body
{
"rejection_reason_id": "3PJ8PZhZZa1eEdd2DtPNtVup",
"note": "Candidate was a great culture fit but didn't bring the hard skills we need.",
"remote_fields": {}
}
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The Kombo ID of the application you want to reject.
Body
application/json
POST /ats/applications/:application_id/reject Request body
Response
POST /ats/applications/:application_id/reject Positive response
Was this page helpful?